GNU bug report logs - #53200
29.0.50; C-S-u shortcut fails with 'PGTK' enable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Campbell Barton <ideasman42@HIDDEN>; merged with #49211; dated Wed, 12 Jan 2022 04:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 49211 53200. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53200 <at> debbugs.gnu.org:


Received: (at 53200) by debbugs.gnu.org; 13 Jan 2022 07:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 02:08:18 2022
Received: from localhost ([127.0.0.1]:59845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7uDZ-0007HF-Qy
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:17 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n7uDY-0007Gt-1x
 for 53200 <at> debbugs.gnu.org; Thu, 13 Jan 2022 02:08:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vKHWmYqnE5JKQgtq4/IMYqPhNz2TUTveSBIGUOAlnOw=; b=iQFtqL6cSmdcxPkCXipjEJPLHB
 hXBsTTR5NhKKf2dGHNwXo79bmXj59e38SBhLbL0VplNnHfsPcK/TicgYaiqU2AJdIPSmDM/drbYq6
 QK+v5V5iyY5XM6J3GBcNqCtDF1BXg/wX7eRIVvF9rBTGZDEs6UTThqq077wDNA6e3nZw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n7uDO-0008O4-Oa; Thu, 13 Jan 2022 08:08:09 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
 <87r19dsc7w.fsf@HIDDEN>
X-Now-Playing: Suicide Romeo's _Pictures_: "Pictures"
Date: Thu, 13 Jan 2022 08:08:04 +0100
In-Reply-To: <87r19dsc7w.fsf@HIDDEN> (Po Lu's message of "Wed, 12 Jan 2022
 14:24:35 +0800")
Message-ID: <87iluo865n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Po Lu <luangruo@HIDDEN> writes: > This has been reported
 at least twice already. Someone should volunteer > to find and merge all
 those bugs I found bug#49211, which seems to be the same problem, so I've
 merged this with that one. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53200
Cc: 53200 <at> debbugs.gnu.org, Campbell Barton <ideasman42@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> This has been reported at least twice already.  Someone should volunteer
> to find and merge all those bugs

I found bug#49211, which seems to be the same problem, so I've merged
this with that one.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53200; Package emacs. Full text available.

Message received at 53200 <at> debbugs.gnu.org:


Received: (at 53200) by debbugs.gnu.org; 12 Jan 2022 06:24:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 12 01:24:54 2022
Received: from localhost ([127.0.0.1]:56073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7X42-00079t-4Q
	for submit <at> debbugs.gnu.org; Wed, 12 Jan 2022 01:24:54 -0500
Received: from sonic307-56.consmr.mail.ne1.yahoo.com ([66.163.190.31]:38853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1n7X3y-00079X-T4
 for 53200 <at> debbugs.gnu.org; Wed, 12 Jan 2022 01:24:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641968684; bh=hm0rbjjkl6e0mYl4YFpyeBwhC6v/lwoEsle0k4Pu+PU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=FtVGjuDXCN+5rRXVx+ZQjYbxkVFbyDqw8cZg7pmlFinML/7kmQ41w+BR3xvxRGse/zwdHloqrSBALt9HHXDvIKZYGmbkIfhh68lTA84e8wr4/SjVMHnYPYw3STe7xDvpshx/khWI5eXDoctISHvfTuM9hBUfrsGZ80HJR63C2ugI87CpCuN+UrWgtwVKPajZHnx8k56ujm+F65EOdLmjO/PDmwDu+dkYU4mXPxWijhDUCqZFm/gJ/9moZHR5Je//sxFCkn8V9gUr6ryQ8JQqkt/Qyd6mGpqWNOns9CZGuKPWeRw+H0g5eRvLM706McB1V0d0RjOPdP6IDgN8/L2ilw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1641968684; bh=n09Tpe5wMsy9Ko8/cPYxhYWghJlMdrdZmhi9+2xZfQN=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=h5R1zNOnCw+5AxBsdR6VRmNk/M1uhqN4RtxvbafMxaSAVDnHOBc2wRz3y3BJjDFIfQin6r6QWGUQBRrN3vaYiYjvK+JEWb4NQuPzBTSINo1X/ShxKqF15QGitY5wU30d7asiy8aXIMutRaQ9cJALpe1+9JW0esPou94GLrk+fZejyM48dBgo5RlmUgRnPiP931l7dHt5fWMrInIOrdonohrA7ylMocNfJMcfo/TGEXnNXBVRurau3SUK8jtDklNZEwn8boEe7G7v6aalnAKB6ZlASMQcRRVHqlN6y45Y91mEwgtIvYzZxzzjHMh4XL5V8NZUEXlR4H3NWxFhIzoTXw==
X-YMail-OSG: IRHOwdoVM1lKa13T.uWVXyXZcXCU6dzVzLhzoqMm45ZaHVlPl5nZ_VL0IaP9.KH
 Lgs0hvPlVTRotlVOjA_6MIgFoFpIHYLP4h7kuJtRd7D1i8ykGfnjLVx7XoRVAtq_GmXxt6xfPoQq
 .JDMCZCPujnklmYYT1eDCJY9fGNNqls7x.MSUiytwb4CmLKhTiBxZpcTXS0dxHhuOFodhTszOw4P
 zTx_K9UfclLxX8spCuFYlQfRR5iswtTrd6U_gND57qxjFQ9bjjS96ibSYq0vIzz_1ctxFpu2psG_
 C82GLzaqa4qEuwNwJuc7lqtZ8EdCCuLL_BTrL9N.cLe6Etu_JaRLFzOishppeLZsAvfcSAjDue3E
 .wd7jjDTTqkd8NnV74VF8OaJQhQYQScpDuY0gGm_IiyB_VZwh.kG2sjEF3qy_2dR5SP1DKfSw8p0
 wH5_Xvbt_2aiTjuTriYoyl8jJrWghuZ0O1uRmjx.gAYruf1EBIZrV11KKJNB582lcuGgO9nVLB8h
 fSbcAdG1na5fbMZD3EBjbMAUM2YhcdYVncxnuRn_cQ_YIg0vV47f_d51GG_yXtr5jFH78IGCgtYW
 9IuzXKcto.ToRHm35zk33TQ3QMZ_Vr3soLRnaNk1Or0XiyryYTWw2jT0PBGy_hXHu_6.Tm4ujQSk
 u3ngreX0uH4OWv6ejYiAAjW7nyzJ97UOA0_Yrc3mr7Q_fTnK18QlYaMLN788l3wWq.UfZiwKmwqF
 mtZdPrzVHXv2GRvZBkokskrumsHrpucUYGjaYbJprqy8lUWyaSH41ZrkCd77RPl1dBoV05Gyo7hV
 mWtlLlTvZM1E12ZELuwI75sm1022McMHSWmTrQrd6zpSTHZHJU4dRNnE_jyUEyKvo6BC_7QSYyOU
 T3NIM19SqgxRRXN1zh2metWkYpXOBnwQmlB0iNE1yODkVLbrEUcU2fvxK.tYq6XWu85G4I6ppnfb
 6820TtgeQcQS_OVfgVvGiKKhqFOJzdhrCPH5vOMINJN00MUApD7HZ0nP2CqYKKl8fOzUwBNzxkS5
 PnYyzW5jGbta.8gJ.lK8YZeKhFuY6o39ZUZohHAxHP2SN_lFZ7ZmELndJAjXWEobmdf8JTyh.1a_
 ZWf.2N3D3Dzz0ryBdxLJKMdnN1TtMyDul_fXOAcLYIpPFwaCJ6QD0khbCRJbuit7FJReAxFk9ixx
 srhWrgNR4zhcAxeBYU63hmL9qnGBx0JYJF9wpuWvBgI7D8x_oRgX9pjeUF9.je9S.wsSkLF6zijJ
 6WJTKhT37MKdzsy41J2DTrAZkRa04RghJQ9Nagii8SV1.jPQienBT7_rfEAa1EWzBPN0FsOpYdCx
 zcq.s4V7eoRVHB2Se_oDpxeuBl33Gk.viO3g5W9PO5LodnmP1VeKbeoRqlNS_WunwvayAzpc7kKm
 dJFnlT24_D5yWSxxqJxEOh.eORADEypyN5zMSvXbttfMkLZtOECcmLceKM6rKsINBMyxjLa4w26h
 8Kuj.SIYm98SGdonl2SC5Moo5Y3.70yR9M2uxJlZl3CzFHXosVPSRsgn430s4Uh2pWjOTEJ4fk9p
 dJHyIlM2SwqHs7OVwbOOQSdBJg1M85ixQEO_3qn94yrZzdNIvikquDoxdbJsl9mPYnZlx_lS0dlP
 PPs0lQvaz4_QOK9peJ_Gja9g8YpftmyXBlxZzfyOK2XOb8P4cOGnHXRtpE_86kJ9Y8tr4BG_sp8i
 g3jET_p9ygZ3VjF6d_J84Iow_pUD5Tux_5VcMXUG3CnU0nPAAZ6F09o4rJ9NOQPUyDf3q2Wi.QK0
 jYfjACbPvr0ExKnNh1trNEhXwuUIYKSsFSXYCj7TWnqMpOUkBwTo4H.eEwRfTT.soXc9S1G1hnj0
 M8ToaWLcwrq_6FyOBh4zqhsgAeGBL6YcVvCN9NfnCxKrxn8kqUQV9igzn2dHKhFRWxFPbrzl6OCT
 2S5vKd8dAgIsmf6Q_Dx2.Vz.tSq2LkOBevFSyPEoyNWClAIjSeE.NduJMj_KK4aHvaGEiXNYRj1P
 RcS3KMEqa.tGOL9LMaLdBe1pmX2NyQyMvAmZEqWMX0em3KqLFedasLS3OL6yUSjOZOO.s2I1Cr3a
 gTUJq5Q3JwyReSExLR.QOa2aHdUHqHvC.8s7L54QFM055Qa0reIjwBmDrbIsrOZQympZecrwUbBV
 tfTZrEo6JsZs8hU4sNNUPSce.0f.AkxktmAQb_6he8u1oIGZbw..asOpUZ6ZmPr4KH141wYrPaxV
 d5wX49GhA43bpiRq1c7j31gCTvICYcgLsNLMLbiwiZF_PVB64D0K2JgiLsg--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic307.consmr.mail.ne1.yahoo.com with HTTP; Wed, 12 Jan 2022 06:24:44 +0000
Received: by kubenode512.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID bfb8bed231f13e4c213b938055c7383c; 
 Wed, 12 Jan 2022 06:24:40 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Campbell Barton <ideasman42@HIDDEN>
Subject: Re: bug#53200: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
References: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Date: Wed, 12 Jan 2022 14:24:35 +0800
In-Reply-To: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
 (Campbell Barton's message of "Wed, 12 Jan 2022 15:56:03 +1100")
Message-ID: <87r19dsc7w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19551
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1312
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53200
Cc: 53200 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Campbell Barton <ideasman42@HIDDEN> writes:

> With PGTK enabled (--with-pgtk) the following occurs:
>
> - Press C-S-u
> - Press a
>
> The character 'a' is entered.
>
> Without PGTK enabled, the following occurs:
>
> - Press C-S-u
> - Press a
>
> The character 'aaaa' is entered 4x.
>
> Note that PGTK seems to swallow this binding, since it's not possible to
> check what the shortcut does by pressing:
>
> C-H, K, C-S-u
>
> Which reports without PGTK: (universal-argument)

This has been reported at least twice already.  Someone should volunteer
to find and merge all those bugs, but in short: most GTK input method
modules stupidly eat the shift modifier, and the only workaround is to
disable the use of GTK input methods by setting `pgtk-use-im-context' to
nil.

This is really a bug in the various input modules and should be reported
to their developers instead instead.  If you're using ibus, for example,
complain to ibus developers about their IM context not setting the shift
modifier mask in an event sent by the filter.

Alternatively, you can use the regular X build, which is a much superior
experience over the PGTK port as long as you're not using Wayland.

Thanks, and please let us know about the progress of your complaining to
the IM module developers.  It would be greatly appreciated.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53200; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2022 04:56:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 11 23:56:23 2022
Received: from localhost ([127.0.0.1]:56015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n7VgM-0001Zh-Pu
	for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 23:56:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:49360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ideasman42@HIDDEN>) id 1n7VgK-0001ZZ-Sl
 for submit <at> debbugs.gnu.org; Tue, 11 Jan 2022 23:56:22 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41502)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ideasman42@HIDDEN>)
 id 1n7VgJ-0007ic-0z
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 23:56:20 -0500
Received: from [2607:f8b0:4864:20::62d] (port=35427
 helo=mail-pl1-x62d.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ideasman42@HIDDEN>)
 id 1n7VgH-0005yD-8M
 for bug-gnu-emacs@HIDDEN; Tue, 11 Jan 2022 23:56:18 -0500
Received: by mail-pl1-x62d.google.com with SMTP id u15so2421766ple.2
 for <bug-gnu-emacs@HIDDEN>; Tue, 11 Jan 2022 20:56:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=0n1EL33kuZNgRiQynf/JAf2t893nRZdryxUVHaApU8A=;
 b=HPaCkFhej82CYocXBeHp22CCFUAMAIqM7h0y3Ihdg9oqSJ8ufqs+dkx/GztCHlnOK2
 iqN3muxf09x+QkiQedFEMfQhvFfcg7OKNvDkjRQSsDCySIdn34/fKtplQxPP8pFASPY+
 eGGlsQ+hGHiboAzN/HLay7LG4oexSkVdDrG559zoN+3iLlPhjCczk4S5fGWHBxsSxC7b
 q7016A4/ugehlVMxtBkM1d8nsms2BnQY6fG5lYFbXD+jfXqBfzyql/Qv5Wa2wuYneUcV
 MRXjwy/BO5MY6Dw93/04/KD+VJM/RfkOsTAOrQBYnoJmMiBkifSpWlENSu/jLKizEzBz
 yt8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=0n1EL33kuZNgRiQynf/JAf2t893nRZdryxUVHaApU8A=;
 b=ziKf6zN4SohNV+DRxyZFN9cWOKrHrsB+fmzA+u0Awz/kbrR1q6MEy2jHo90PcDKnAN
 qgCO1CrAbY5j2IqWahR0+/qG/3H1bOhAG/aHFpIU6yLYuQDidTs8KR+VFEGmxUuH1nSA
 f67bkXJD9xYTWssE7kvP3KfDWT/ZzmjZCDucR+07+5CsTY23J6ihl4rHdJdyKM4xX+Vj
 y3iqYdM41qQFwr1K9G9zQwJUmHJ/gXV7VFFJDNIprwY8IO94xOR5yE3j2+SOTeVW2+ql
 1mu++ZEvhIi0WGIRY81cozxZczWg92Iogm2iNn9dgDVYJjyb8HhSSpzWq00c6TGLwvBK
 cinQ==
X-Gm-Message-State: AOAM5332PCpf99CvVwUaZcsTIy0J1iD4KUUcIdxV8gLtySebCrOP4ie8
 JdzHs1bs9iIVsCFhxRP3TpD2+ifW5RMfrwRTurTsnJqiVJpduw==
X-Google-Smtp-Source: ABdhPJxX7yULNxY67EU4IlxPKiNPtGBIoFT8Tn04pEvywswwGhUU4p2opAa/V/hdo+4KKdD2p78+BdsoYnpMolFru3M=
X-Received: by 2002:a17:902:8e81:b0:149:8f60:a52a with SMTP id
 bg1-20020a1709028e8100b001498f60a52amr7472275plb.145.1641963374435; Tue, 11
 Jan 2022 20:56:14 -0800 (PST)
MIME-Version: 1.0
From: Campbell Barton <ideasman42@HIDDEN>
Date: Wed, 12 Jan 2022 15:56:03 +1100
Message-ID: <CAEcf3Ny9UXvoeNxrbUg0vn2-0wJZj+MGM1KLQXdTGOxRQgOm8A@HIDDEN>
Subject: 29.0.50; C-S-u shortcut fails with 'PGTK' enable
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::62d
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::62d;
 envelope-from=ideasman42@HIDDEN; helo=mail-pl1-x62d.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

With PGTK enabled (--with-pgtk) the following occurs:

- Press C-S-u
- Press a

The character 'a' is entered.

Without PGTK enabled, the following occurs:

- Press C-S-u
- Press a

The character 'aaaa' is entered 4x.

Note that PGTK seems to swallow this binding, since it's not possible to
check what the shortcut does by pressing:

C-H, K, C-S-u

Which reports without PGTK: (universal-argument)



In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.31, cairo version 1.17.4)
 of 2022-01-12 built on austpc
Repository revision: 8555a3e1ed1d34cbaa172bde86eb3b11a1cd7940
Repository branch: master
System Description: Arch Linux

Configured using:
 'configure --prefix=/opt/emacs --with-sound=no --disable-acl
 --with-file-notification=no --with-xpm --with-native-compilation
 --with-jpeg --with-tiff --with-gif --with-png --without-rsvg
 --without-lcms2 --without-libsystemd --without-gsettings
 --without-harfbuzz --without-m17n-flt --without-libotf --without-gpm
 --without-dbus --without-gsettings --without-gconf --without-selinux
 --without-gnutls --with-pgtk --without-makeinfo --without-libgmp
 --with-zlib --with-compress-install --with-threads
 --without-toolkit-scroll-bars --with-x-toolkit=gtk3 --with-xft
 --with-modules 'CFLAGS=-O3 -mtune=native -march=native -pipe
 -fomit-frame-pointer''

Configured features:
CAIRO FREETYPE GIF GLIB JPEG JSON LIBXML2 MODULES NATIVE_COMP PDUMPER
PGTK PNG SECCOMP SQLITE3 THREADS TIFF WEBP XIM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date seq gv
subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
dynamic-setting font-render-setting cairo move-toolbar gtk x-toolkit
pgtk multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 45508 6842)
 (symbols 48 5609 1)
 (strings 32 18557 3267)
 (string-bytes 1 622864)
 (vectors 16 10816)
 (vector-slots 8 157953 15748)
 (floats 8 25 28)
 (intervals 56 255 0)
 (buffers 992 11))




Acknowledgement sent to Campbell Barton <ideasman42@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53200; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 13 Jan 2022 07:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.